#ifndef _cipher_H_
#define _cipher_H_

/*
 * File:    cipher.h
 * Author:  Holger Klawitter
 * Date:    11.12.1998
 * Project: Cipher
 *
 * Changes:
 * 10.02.2000 adding edit menu
 * 11.02.2000 old encryption
 */

/***********************************************************************
 * Definition of all ResourceIDs
 ***********************************************************************/

#define CipherID 'hk13'

#define TextField 1003
#define UpButton 1004
#define DownButton 1005
#define KeyField 1002
#define DecipherButton 1006
#define CipherButton 1007
#define KeyCheck 1008
#define CopyCheck 1009

#define MainForm 1000
#define AboutForm 1100

/* About Form */
#define AboutOkButton 1101

/* Other Forms */
#define BadKeyError 1300
#define Debug 1400
#define TooLongError 1500

/* Other constants */

#define MAX_TEXT_LEN 3072 /* 3566 ((len+10)/8*8+6)/7*8 < 4096 */
 
// Maximal length for Text to be encrypted.

VoidPtr GetObjectPtr( Word id );
/* Transforms 'id' into current UI object. */

#define DebugMsg(x) 

#ifndef DebugMsg
Int DebugMsg( CharPtr msg );
/* printf debugging */
#endif

#endif /* _cipher_h_ */
